x509-store-1.6.1: X.509 collection accessing and storing methods

Safe Haskell | None
Language | Haskell98

Data.X509.CertificateStore

Contents

- Queries

Synopsis

- data CertificateStore
- makeCertificateStore :: [SignedCertificate] -> CertificateStore
- findCertificate :: DistinguishedName -> CertificateStore -> Maybe SignedCertificate
- listCertificates :: CertificateStore -> [SignedCertificate]

# Documentation

data CertificateStore

A Collection of certificate or store of certificates.

Instances

Monoid CertificateStore |

makeCertificateStore :: [SignedCertificate] -> CertificateStore

Create a certificate store out of a list of X509 certificate

# Queries

findCertificate :: DistinguishedName -> CertificateStore -> Maybe SignedCertificate

Find a certificate using the subject distinguished name

listCertificates :: CertificateStore -> [SignedCertificate]

List all certificates in a store